Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian User (http://www.linux-archive.org/debian-user/)
-   -   dist-upgrade not reading dvds properly (http://www.linux-archive.org/debian-user/498566-dist-upgrade-not-reading-dvds-properly.html)

Mark Grieveson 03-08-2011 05:10 AM

dist-upgrade not reading dvds properly
 
>> When I tried to run apt-get dist-upgrade for the multimedia packages
>> on my system, it told me to insert Debian DVD disc #1, and from that
>> attempted to install the following programs: librtmp0
>> libdirac-decoder0 libggiwmh0 libggiwmh0-target-x libvdpau1 twolame.
>> But, it then told me:
>> Err cdrom://[Debian GNU/Linux 6.0.0 _Squeeze_ -
>> Official i386 DVD
>> Binary-1 20110205-17:27]/ squeeze/main libdirac-decoder0 i386 1.0.2-3
>> File not found
[snipped]

Ron Johnson wrote:
> Maybe it's not on the 1st DVD?

Hello Ron,

I just checked, and it's there. In fact, I just installed one of the
packages that failed previously:

debian:~# apt-get install libdirac-decoder0
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
libdirac-decoder0
0 upgraded, 1 newly installed, 0 to remove and 61 not upgraded.
Need to get 0 B/317 kB of archives.
After this operation, 655 kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
libdirac-decoder0
Install these packages without verification [y/N]? y
(Reading database ... 185020 files and directories currently installed.)
Unpacking libdirac-decoder0
(from .../libdirac-decoder0_1.0.2-3_i386.deb) ...
Setting up libdirac-decoder0 (1.0.2-3) ...
debian:~#

However, when there is more than one package to install from the DVD,
it fails:


debian:~# apt-get install libggiwmh0 libggiwmh0-target-x libvdpau1
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
nvidia-vdpau-driver vdpau-driver
The following NEW packages will be installed:
libggiwmh0 libggiwmh0-target-x libvdpau1
0 upgraded, 3 newly installed, 0 to remove and 61 not upgraded.
Need to get 0 B/69.3 kB of archives.
After this operation, 307 kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
libggiwmh0 libggiwmh0-target-x libvdpau1
Install these packages without verification [y/N]? y
Err cdrom://[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD
Binary-1 20110205-17:27]/ squeeze/main libggiwmh0-target-x i386 0.3.2-2
File not found
Err cdrom://[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD
Binary-1 20110205-17:27]/ squeeze/main libvdpau1 i386 0.4.1-2
File not found
Failed to fetch cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386
DVD Binary-1
20110205-17:27]/pool/main/libg/libggiwmh/libggiwmh0-target-x_0.3.2-2_i386.deb
File not found
Failed to fetch cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386
DVD Binary-1
20110205-17:27]/pool/main/libv/libvdpau/libvdpau1_0.4.1-2_i386.deb
File not found
E: Unable to fetch some archives, maybe run apt-get update or try with
--fix-missing?
debian:~#

To further illustrate that the packages are on the DVD, for one of the
packages, I mounted the DVD and manually installed it (twolame)
successfully with dpkg -i.

But, in spite of the packages being there, and the apt-get program
correctly identifying the DVD, it seems to refuse to install more than
one at a time now, for some reason. Also, after getting the errors, it
locks the DVD in the drive. To get it out, I have to type "eject
cdrom" in the terminal.

If anyone knows why it's doing this, and can provide any pointers, I'd
appreciate it.

Mark


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110308011026.27d7795f@yahoo.ca">http://lists.debian.org/20110308011026.27d7795f@yahoo.ca


All times are GMT. The time now is 08:58 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.